//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

namespace Neo.ApplicationFramework.Generated
{
    using System.Windows.Forms;
    using System;
    using System.Drawing;
    using Neo.ApplicationFramework.Tools;
    using Neo.ApplicationFramework.Common.Graphics.Logic;
    using Neo.ApplicationFramework.Controls;
    using Neo.ApplicationFramework.Interfaces;
    
	using System.Diagnostics;   
	
	using System.Runtime.InteropServices;
	using System.Drawing.Imaging;
	using System.IO;
    
    public partial class Screen1
    {		
		enum RasterOperation : uint { SRC_COPY = 0x00CC0020 }
		
		[DllImport("coredll.dll")]
		static extern int BitBlt(IntPtr hdcDest, int nXDest, int nYDest, int nWidth, int nHeight, IntPtr hdcSrc, int nXSrc, int nYSrc, RasterOperation rasterOperation);

		[DllImport("coredll.dll")]
		private static extern IntPtr GetDC(IntPtr hwnd);

		[DllImport("coredll.dll")]
		private static extern int ReleaseDC(IntPtr hwnd, IntPtr hdc);

		void Button1_Click(System.Object sender, System.EventArgs e)
		{
			try {
				
				Rectangle bounds = Screen.PrimaryScreen.Bounds;
				IntPtr hdc = GetDC(IntPtr.Zero);
				Bitmap bitmap = new Bitmap(bounds.Width, bounds.Height, PixelFormat.Format16bppRgb565);
				using (Graphics graphics = Graphics.FromImage(bitmap))
				{
					IntPtr dstHdc = graphics.GetHdc();
					BitBlt(dstHdc, 0, 0, bounds.Width, bounds.Height, hdc, 0, 0,
						RasterOperation.SRC_COPY);
					graphics.ReleaseHdc(dstHdc);
				}
				
				string path = @"\FlashDrive\Project\Project Files";
				if (Directory.Exists(path) == false) {
					Directory.CreateDirectory(path);
				}				
				path = path + @"\printscreen.jpg";
				
				bitmap.Save(path, ImageFormat.Jpeg);
				ReleaseDC(IntPtr.Zero, hdc);
			}
			catch (Exception ex)
			{
				MessageBox.Show(ex.Message + ", " + ex.StackTrace);
			}
		}		
    }
}
